import stan                        #  pystan
import matplotlib.pyplot as plt
import arviz as az

Stan_Model = """
data{
    int N;
    int k;
}
parameters{
    simplex[2] theta;
}
model{
    k ~ binomial(N, theta[1]);
}
"""
Data = {'N': 10, 'k': 7}
with open('Bin.stan', 'r') as f_stan:
    sm = stan.build(Stan_Model, data = Data)  #  sm = pystan.StanModel(model_code = Stan_Model) 
    fit = sm.sample()                            # sm.sampling(data = Data, n_jobs = 1)
#print(fit)
i_data = az.from_pystan(posterior = fit, posterior_model = sm)
print(az.summary(i_data))
f = open('fit.txt', 'w')
f.write('fit = \n{}'.format(az.summary(i_data)))
f.close()
#fit.plot()
az.plot_trace(i_data)
plt.show()

